%if 0%{?el7}
%define dist .el7
%endif

%define gitver .git4541eeb

Name:		gpac
Version:	0.5.2
Release:	17%{gitver}%{?dist}
Summary:	GPAC is a multimedia framework covering MPEG-4, VRML/X3D and SVG.

Group:		Applications/Multimedia
License:	LGPL
URL:		http://gpac.wp.mines-telecom.fr/
# svn export https://gpac.svn.sourceforge.net/svnroot/gpac/trunk/gpac gpac-0.5.0
# tar acvf gpac-0.5.0.tar.xz gpac-0.5.0
#
# GPAC is now on GitHub
#
# git clone https://github.com/gpac/gpac gpac-0.5.2
# tar acvf gpac-0.5.2%%{?gitver}.tar.xz gpac-0.5.2 --exclude=.git
# cd gpac-0.5.2 ; git log -1 --pretty=format:".git%h"
Source0:	%{name}-%{version}%{?gitver}.tar.xz

Patch0:     gpac-0.5.2-config.patch

BuildRequires:	zlib-devel xulrunner-devel
BuildRequires:	alsa-lib-devel pulseaudio-libs-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	freetype-devel openssl-devel SDL-devel
BuildRequires:	ghc-OpenGL-devel libpng-devel xmlrpc-c-devel
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
BuildRequires:	libjpeg-turbo-devel
%endif
BuildRequires:	openjpeg-devel
%if 0%{?fedora}
BuildRequires:  libfreenect-devel
%endif
BuildRequires:	libogg-devel wxGTK-devel libupnp-devel
BuildRequires:	libtheora-devel libvorbis-devel

#custom
BuildRequires:	faad2-devel faad2 libmad a52dec-devel
BuildRequires:	libxvidcore-devel ffmpeg-devel

%description
Release 0.5.0 of GPAC is finally out, with many new features and bug fixes, including:
- MPEG-DASH and HLS support (players and MP4Box)
- MPEG-U Widgets and UPnP support in the player
- Stereo and multiview display support
- Better AVC and SVC support including OpenSVC decoder integration
- More live tools: RTP, MPEG-TS, T-DMB support, scene encoders (BIFS and RME/DIMS)
- iOS and Android support
- and many other good things

%package devel
Summary:	Libraries for gpac
Group:		System Environment/Libraries

%description devel
Libraries for gpac

%package static
Summary:	Static library for gpac
Group:		System Environment/Libraries

%description static
Static library for gpac

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--libdir=%{_lib} \
	--use-js=no \
	--use-ft \
	--use-zlib \
	--use-jpeg \
	--use-png \
	--use-faad \
	--use-mad \
	--use-xvid \
	--use-ffmpeg \
	--use-ogg \
	--use-vorbis \
	--use-theora \
	--use-openjpeg \
	--use-a52


make %{?_smp_mflags}


%install
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/pkgconfig
make install DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS BUGS Changelog INSTALLME README.md TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc doc/CODING_STYLE doc/*.doc doc/INSTALL* doc/ISO* doc/SceneGenerators doc/configuration.html
%doc doc/ipmpx_syntax.bt doc/osmo4.ico
%{_bindir}/MP4Box
%{_bindir}/MP4Client
%{_bindir}/MP42TS
%{_bindir}/DashCast
%{_libdir}/%{name}/*.so
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/%{name}.mp4
%{_datadir}/%{name}/gui/*
%{_datadir}/%{name}/shaders/*.glsl
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/internal/*.h
%{_includedir}/%{name}/modules/*.h
%{_libdir}/libgpac.so
%{_libdir}/pkgconfig/gpac.pc

%files static
%{_libdir}/libgpac_static.a

%changelog
* Thu Jan 21 2016 momo-i <webmaster@momo-i.org> - 0.5.2-17.git4541eeb
- Update to 4541eeb

* Fri Jan 08 2016 momo-i <webmaster@momo-i.org> - 0.5.2-16.gitedd2b7c
- Update to edd2b7c

* Sun Dec 27 2015 momo-i <webmaster@momo-i.org> - 0.5.2-15.git9f2bf6e
- Update to 9f2bf6e

* Mon Dec 07 2015 momo-i <webmaster@momo-i.org> - 0.5.2-14.gitee04426
- Update to ee04426

* Mon Nov 02 2015 momo-i <webmaster@momo-i.org> - 0.5.2-13.git805fefa
- Update to 805fefa

* Mon Sep 28 2015 momo-i <webmaster@momo-i.org> - 0.5.2-12.git0fd69e0
- Update to 0fd69e0

* Sun Sep 06 2015 momo-i <webmaster@momo-i.org> - 0.5.2-11.gitb1a150e
- Update to b1a150e

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.5.2-10.git9889e78
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.5.2-9.git9889e78
- Rebuilt for fc23

* Fri Jul 31 2015 momo-i <webmaster@momo-i.org> - 0.5.2-8
- Update to 9889e78

* Wed Jul 15 2015 momo-i <webmaster@momo-i.org> - 0.5.2-7
- Update to de6f8c1

* Tue Jun 23 2015 momo-i <webmaster@momo-i.org> - 0.5.2-6
- Change Repository URL svn to git
- Update to 0.5.2

* Mon Dec 22 2014 momo-i <webmaster@momo-i.orG> - 0.5.0-5
- Update rev5573

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.5.0-4
- Update rev5501

* Wed Sep  3 2014 momo-i <webmaster@momo-i.org> - 0.5.0-3
- Rebuilt

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 0.5.0-2
- Update to svn rev 5000

* Wed Mar  6 2013 momo-i <webmaster@momo-i.org> 0.5.0-1
- Initial rpm release.
